body{
    background:#f5f7fa;
    font-family:'Segoe UI',sans-serif;
}

.main-card{
    background:#fff;
    border-radius:30px;
    padding:50px;
    box-shadow:0 10px 30px rgba(0,0,0,.08);
    position:relative;
}

.main-title{
    font-size:30px;
    font-weight:600;
    line-height:1.2;
}

.subtitle{
    font-size:18px;
    color:#666;
    margin-top:15px;
}

.smiles-input{
    height:70px;
    border-radius:20px;
    font-size:20px;
}

.analyze-btn{
    background:#000;
    color:#fff;
    border:none;
    height:65px;
    border-radius:20px;
    font-size:24px;
    font-weight:700;
}

.analyze-btn:hover{
    background:#111;
    color:white;
}

.reset-btn{
    background:white;
    border:3px solid #000;
    height:65px;
    border-radius:20px;
    font-size:24px;
}

.upload-section{
    border:2px dashed #d7dde7;
    border-radius:25px;
    padding:40px;
    text-align:center;
}

.upload-btn{
    background:#2563eb;
    color:white;
    padding:18px 40px;
    border-radius:18px;
    cursor:pointer;
    font-size:22px;
    font-weight:600;
}

.results-section{
    background:#fff;
}

.molecule-preview{
    max-width:200px;
    border-radius:20px;
    border:1px solid #ddd;
}

.table{
    background:white;
}

thead{
    background:#f3f5f7;
}

@media(max-width:768px){

    .main-card{
        padding:35px 25px;
    }

    .main-title{
        font-size:2rem;
    }

}
.analyze-btn:disabled{
    background:#939393;
    color:#ffffff;
    cursor:not-allowed;
    opacity:1;
}

.analyze-btn:disabled:hover{
    background:#b5b5b5;
}
.reset-btn:hover{
    background:#000;
    color:#fff;
}
.result-section{
  display: flex;
  justify-content: space-between;
  background: #f4f4f4;
  margin-top: 10px;
  border: solid 1px #dedede;
  border-radius: 30px;
  padding: 25px;
  display: none;
  text-align: center;
}
.result-block .item{
  background: #fff;
  border: solid 1px #dedede;
  border-radius: 20px;
  padding: 15px;
  margin-bottom: 10px;
  width: 100%;
}
.result-block{
  display: flex;
  justify-content: space-around;
  gap: 10px;
}
#result{
  width: 50%;
}
@media (max-width: 768px) {
  #result {
      width: 100%;
  }
  .result-image{
    margin: 0 auto;
  }
}

.table-responsive{
  max-height: 400px;
  box-shadow: 0px 2px 7px 2px #eaeaea;
  border-radius: 10px;
}
.table-responsive table{
  border-radius: 10px;
}
.table>:not(caption)>*>*{
  padding: 5px 20px;
  color: #485567;
  font-size: 14px;
}
.navbar{
  border-bottom: solid 1px #e5e5e5;
  background: #fff;
}
.nav-link{
  color: #000;
}

.nav-pills .nav-link.active {
    background-color: #9e3131;
    color: #fff !important;
}

.nav-pills .nav-link {
    color: #212529;
}

.history-nav{
    position: absolute;
    top: 5px;
    right: 12px;
}
.history-nav .nav-link{
    padding: 2px 10px;
    background: #e9e9e9;
    margin: 0 5px;
    border-radius: 5px;
}

.dash-states {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
}

.state-card {
    background: #fcfcfc;
    border-radius: 12px;
    padding: 20px;
    box-shadow: 0 2px 10px rgb(0 0 0 / 23%);
}